import request from '@/utils/request'

export function listDisassembly(query) {
  return request({
    url: '/warehouse-entry/page',
    method: 'get',
    params: query
  })
}

export function executeDisassembly(query) {
  return request({
    url: '/warehouse-entry/execute',
    method: 'post',
    params:query
  })
}

export function createDisassembly(data) {
  return request({
    url: '/warehouse-entry/add',
    method: 'post',
    data
  })
}

export function readDisassembly(query) {
  return request({
    url: '/warehouse-entry/info',
    method: 'get',
    params:query
  })
}

export function updateDisassembly(data) {
  return request({
    url: '/warehouse-entry/edit',
    method: 'post',
    data
  })
}

export function deleteDisassembly(query) {
  return request({
    url: '/warehouse-entry/remove',
    method: 'post',
    params:query
  })
}
